{"openapi":"3.2.0","info":{"contact":{"email":"hi@hedia.com","name":"Hedia ApS","url":"https://hedia.com"},"termsOfService":"https://www.hedia.com/terms-and-conditions","title":"ID API","version":"1.0.0"},"servers":[{"url":"https://id.hedia.com/api/v1"}],"tags":[{"name":"Apps","description":"Manage apps.","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations#apps","description":"Documentation"}},{"name":"App Collaborators","description":"Manage app collaborators.","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations#app-collaborators","description":"Documentation"}},{"name":"App Installations","description":"Manage app installations.","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations#app-installations","description":"Documentation"}},{"name":"App Keys","description":"Manage app keys.","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations#app-keys","description":"Documentation"}},{"name":"Countries","description":"Manage countries.","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations#countries","description":"Documentation"}},{"name":"Links","description":"Manage links.","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations#links","description":"Documentation"}},{"name":"Permissions","description":"Manage permissions.","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations#permissions","description":"Documentation"}},{"name":"Sessions","description":"Manage sessions.","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations#sessions","description":"Documentation"}},{"name":"Users","description":"Manage users.","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations#users","description":"Documentation"}},{"name":"User Keys","description":"Manage user keys.","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations#user-keys","description":"Documentation"}}],"paths":{"/app-categories":{"get":{"summary":"List app categories","operationId":"listAppCategories","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppCategories"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{}],"tags":["Apps"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/listAppCategories","description":"Documentation"}}},"/apps":{"get":{"summary":"List apps","operationId":"listApps","description":"Retrieves a list of apps visible to the requesting user. Visibility:\n- Includes apps shared with the user as a collaborator.\n- When accessed using a user's access token: The response should only include apps that are available in the user's country.\n","parameters":[{"$ref":"#/components/parameters/AppPublicListQueryParameter"},{"$ref":"#/components/parameters/AppCategoriesQueryParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppArray"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"accessToken":[]},{"service":[]},{"serviceWithUser":[]}],"tags":["Apps"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/listApps","description":"Documentation"}},"post":{"summary":"Create an app","operationId":"createApp","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAppRequestBody"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/App"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["Apps"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/createApp","description":"Documentation"}}},"/apps/{appIdOrName}":{"parameters":[{"$ref":"#/components/parameters/AppIdOrNamePathParameter"}],"delete":{"summary":"Delete an app","operationId":"deleteApp","responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["Apps"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/deleteApp","description":"Documentation"}},"get":{"summary":"Get an app","operationId":"getApp","description":"Get the details for a single app.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/App"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"service":[]}],"tags":["Apps"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/getApp","description":"Documentation"}},"patch":{"summary":"Update an app","operationId":"updateApp","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAppRequestBody"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/App"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["Apps"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/updateApp","description":"Documentation"}}},"/apps/{appId}/collaborators":{"parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"}],"get":{"summary":"List collaborators for an app","operationId":"listAppCollaborators","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollaboratorArray"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"service":[]}],"tags":["App Collaborators"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/listAppCollaborators","description":"Documentation"}},"post":{"summary":"Create a collaborator for an app","operationId":"createAppCollaborator","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCollaboratorRequestBody"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Collaborator"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["App Collaborators"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/createAppCollaborator","description":"Documentation"}}},"/apps/{appId}/collaborators/{collaboratorId}":{"delete":{"summary":"Remove a collaborator from an app","operationId":"deleteAppCollaborator","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/CollaboratorIdPathParameter"}],"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["App Collaborators"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/deleteAppCollaborator","description":"Documentation"}}},"/apps/{appId}/installations":{"get":{"summary":"List installations for an app","operationId":"listAppInstallations","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstallationArray"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"app":[]},{"service":[]}],"tags":["App Installations"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/listAppInstallations","description":"Documentation"}},"post":{"summary":"Create an installation for an app","operationId":"createAppInstallation","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"}],"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Installation"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["App Installations"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/createAppInstallation","description":"Documentation"}}},"/apps/{appId}/installations/{installationId}":{"delete":{"summary":"Delete an app installation","operationId":"deleteAppInstallation","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/InstallationIdPathParameter"}],"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["App Installations"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/deleteAppInstallation","description":"Documentation"}},"patch":{"summary":"Update app installation","operationId":"updateAppInstallation","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/InstallationIdPathParameter"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAppInstallationRequestBody"}}}},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Installation"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"app":[]}],"tags":["App Installations"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/updateAppInstallation","description":"Documentation"}}},"/apps/{appId}/installations/{installationId}/metadata":{"get":{"summary":"Get app installation metadata","operationId":"getAppInstallationMetadata","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/InstallationIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstallationMetadata"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"app":[]}],"tags":["App Installations"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/getAppInstallationMetadata","description":"Documentation"}},"put":{"summary":"Upsert app installation metadata","operationId":"upsertAppInstallationMetadata","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/InstallationIdPathParameter"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstallationMetadata"}}}},"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"app":[]}],"tags":["App Installations"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/upsertAppInstallationMetadata","description":"Documentation"}}},"/apps/{appId}/keys":{"parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"}],"get":{"summary":"List app keys for an app","operationId":"listAppKeys","responses":{"200":{"description":"OK","headers":{"Cache-Control":{"required":false,"schema":{"$ref":"#/components/schemas/CacheControl"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KeyArray"}},"application/jwk-set+json":{"schema":{"$ref":"#/components/schemas/JwkSet"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"service":[]}],"tags":["App Keys"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/listAppKeys","description":"Documentation"}},"post":{"summary":"Create an app key for an app","operationId":"createAppKey","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateKeyRequestBody"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Key"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["App Keys"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/createAppKey","description":"Documentation"}}},"/apps/{appId}/keys/{keyId}":{"delete":{"summary":"Delete an app key from an app","operationId":"deleteAppKey","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/KeyIdPathParameter"}],"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["App Keys"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/deleteAppKey","description":"Documentation"}}},"/apps/{appIdOrName}/links":{"post":{"summary":"Create a one-time magic app link","description":"Creates a one-time-use magic link that allows the user to log in and be redirected to a specific HIP app. The destination URL is determined based on the app's settings in the developer portal. Currently, this is used exclusively to access HDA.","operationId":"createAppLink","parameters":[{"$ref":"#/components/parameters/AppIdOrNamePathParameter"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAppLinkRequestBody"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Link"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"accessToken":[]}],"tags":["Links"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/createAppLink","description":"Documentation"}}},"/apps/{appIdOrName}/link-verifiers/{linkVerifierId}":{"get":{"summary":"Check a link verifier","description":"Check if a link verifier is valid. The link verifier will be consumed if it is valid, so it can only be used once.","operationId":"checkLinkVerifier","parameters":[{"$ref":"#/components/parameters/AppIdOrNamePathParameter"},{"$ref":"#/components/parameters/LinkVerifierIdPathParameter"}],"responses":{"200":{"description":"OK"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"app":[]}],"tags":["Links"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/checkLinkVerifier","description":"Documentation"}}},"/apps/{appId}/users/{userId}/installation":{"get":{"summary":"Get app installation for a given user","operationId":"getAppUserInstallation","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/UserIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Installation"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"service":[]},{"app":[]}],"tags":["App Installations"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/getAppUserInstallation","description":"Documentation"}}},"/authorize":{"post":{"summary":"Authorize","operationId":"authorize","description":"Evaluates a set of permissions between a source and a target.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthorizeRequestBody"}}}},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Authorization"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"service":[]}],"tags":["Permissions"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/authorize","description":"Documentation"}}},"/countries":{"get":{"summary":"List countries","operationId":"listCountries","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Countries"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{}],"tags":["Countries"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/listCountries","description":"Documentation"}}},"/links":{"post":{"summary":"Create a one-time magic link","description":"Creates a one-time-use magic link for session-based authentication in UI login flows.","operationId":"createLink","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLinkRequestBody"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Link"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"accessToken":[]}],"tags":["Links"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/createLink","description":"Documentation"}}},"/permission-scopes":{"get":{"summary":"List permission scopes","operationId":"listPermissionScopes","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionScopeArray"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{}],"tags":["Permissions"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/listPermissionScopes","description":"Documentation"}}},"/permissions":{"get":{"summary":"List permissions","operationId":"listPermissions","description":"List permissions matching some options (action, approved, scope, source, target). When specified, at least one of source ID and target ID properties must be related to the current user (its user ID or an app the user has access to). If not specified, the user ID will be used for all private permission requests (when \"system\" is not set as target type).","parameters":[{"$ref":"#/components/parameters/PermissionActionQueryParameter"},{"$ref":"#/components/parameters/PermissionApprovedQueryParameter"},{"$ref":"#/components/parameters/PermissionScopeQueryParameter"},{"$ref":"#/components/parameters/PermissionSourceIdQueryParameter"},{"$ref":"#/components/parameters/PermissionSourceTypeQueryParameter"},{"$ref":"#/components/parameters/PermissionTargetIdQueryParameter"},{"$ref":"#/components/parameters/PermissionTargetTypeQueryParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionExtendedArray"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]},{"service":[]}],"tags":["Permissions"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/listPermissions","description":"Documentation"}},"post":{"summary":"Create a permission","operationId":"createPermission","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePermissionRequestBody"}}}},"responses":{"200":{"description":"OK - Permission already exists","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Permission"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Permission"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["Permissions"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/createPermission","description":"Documentation"}}},"/permissions/{permissionId}":{"delete":{"summary":"Delete a permission","operationId":"deletePermission","parameters":[{"$ref":"#/components/parameters/PermissionIdPathParameter"}],"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["Permissions"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/deletePermission","description":"Documentation"}},"get":{"summary":"Get a permission","operationId":"getPermission","parameters":[{"$ref":"#/components/parameters/PermissionIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Permission"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["Permissions"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/getPermission","description":"Documentation"}},"patch":{"summary":"Update a permission","operationId":"updatePermission","description":"Approves or rejects a permission.","parameters":[{"$ref":"#/components/parameters/PermissionIdPathParameter"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePermissionRequestBody"}}}},"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["Permissions"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/updatePermission","description":"Documentation"}}},"/sessions/{sessionId}":{"get":{"summary":"Get a session","operationId":"getSession","description":"Get the details for a single session.","parameters":[{"$ref":"#/components/parameters/SessionIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Session"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"service":[]}],"tags":["Sessions"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/getSession","description":"Documentation"}}},"/user/installations":{"get":{"summary":"List user installations","operationId":"listUserInstallations","description":"List installations for the current user.","parameters":[{"$ref":"#/components/parameters/AppCategoriesQueryParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstallationArray"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"accessToken":[]}],"tags":["Users"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/listUserInstallations","description":"Documentation"}}},"/users/{userId}":{"get":{"summary":"Get a user","operationId":"getUser","description":"Get the details for a single user.","parameters":[{"$ref":"#/components/parameters/UserIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"service":[]}],"tags":["Users"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/getUser","description":"Documentation"}}},"/users/{userId}/keys":{"parameters":[{"$ref":"#/components/parameters/UserIdPathParameter"}],"get":{"summary":"List user keys for a user","operationId":"listUserKeys","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KeyArray"}},"application/jwk-set+json":{"schema":{"$ref":"#/components/schemas/JwkSet"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"service":[]}],"tags":["User Keys"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/listUserKeys","description":"Documentation"}},"post":{"summary":"Create a user key for a user","operationId":"createUserKey","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateKeyRequestBody"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Key"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["User Keys"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/createUserKey","description":"Documentation"}}},"/users/{userId}/keys/{keyId}":{"delete":{"summary":"Delete a user key from a user","operationId":"deleteUserKey","parameters":[{"$ref":"#/components/parameters/UserIdPathParameter"},{"$ref":"#/components/parameters/KeyIdPathParameter"}],"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"security":[{"serviceWithUser":[]}],"tags":["User Keys"],"externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/operations/deleteUserKey","description":"Documentation"}}}},"components":{"securitySchemes":{"accessToken":{"description":"An Access Token Bearer JSON Web Token obtained through OAuth2 flow.","type":"http","scheme":"bearer","bearerFormat":"JWT"},"app":{"description":"An Application Bearer JSON Web Token. The token should include an issuer (the app ID), a software version (a string) and an audience (the API URL). The public key should be uploaded to developer website in the app keys section.","type":"http","scheme":"bearer","bearerFormat":"JWT"},"service":{"description":"A Service Bearer JSON Web Token.","type":"http","scheme":"bearer","bearerFormat":"JWT"},"serviceWithUser":{"description":"A Service Bearer JSON Web Token with a sub property set to a user ID.","type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ProblemDetails":{"title":"Problem Details","description":"A problem details object provides additional information about a problem that occurred during an API request.","type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type.","examples":["/problems/unauthorized","about:blank"]},"title":{"type":"string","description":"A short, human-readable summary of the problem type.","examples":["Unauthorized"]},"status":{"type":"number","description":"The HTTP status code generated by the origin server for this occurrence of the problem.","examples":[401]},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","examples":["You must authenticate and provide the necessary permissions to access this resource. Please check your credentials or token."]}},"required":["type"],"$id":"./components/schemas/ProblemDetails","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/ProblemDetails","description":"Documentation"}},"AppCategory":{"title":"App Category","description":"The category of the app","type":"string","enum":["cgm","forecasting","licensing","realtime","subscription"],"$id":"./components/schemas/AppCategory","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppCategory","description":"Documentation"}},"AppCategories":{"title":"App Categories","description":"List of app categories","type":"array","items":{"$ref":"#/components/schemas/AppCategory"},"uniqueItems":true,"$id":"./components/schemas/AppCategories","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppCategories","description":"Documentation"}},"AppPublicList":{"title":"App Public List","description":"The public list query parameter determines whether the response will include all apps or only apps the current user has access to.","type":"boolean","$id":"./components/schemas/AppPublicList","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppPublicList","description":"Documentation"}},"AppId":{"title":"App ID","description":"The app ID is a unique identifier for an app.","type":"string","format":"uuid","example":"9352258f-0263-47d1-b9c7-16cd93be7501","$id":"./components/schemas/AppId","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppId","description":"Documentation"}},"AppName":{"title":"App Name","description":"The unique name of the app using only lowercase letters, numbers and hyphens.","type":"string","pattern":"^[a-z0-9-]+$","minLength":1,"maxLength":256,"example":"hda","$id":"./components/schemas/AppName","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppName","description":"Documentation"}},"AppTitle":{"title":"App Title","description":"The title is used to refer to the app in UI.","type":"string","minLength":1,"maxLength":256,"example":"HDA","$id":"./components/schemas/AppTitle","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppTitle","description":"Documentation"}},"AppDescription":{"title":"App Description","description":"The description is a short description of what the app does.","type":["null","string"],"minLength":1,"maxLength":512,"example":"This app will help you manage your diabetes","$id":"./components/schemas/AppDescription","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppDescription","description":"Documentation"}},"AppIcon":{"title":"App Icon","description":"The icon is a URL to the app's icon. It should be a valid URL and should point to an image file.","type":["null","string"],"format":"uri","minLength":1,"maxLength":131072,"$id":"./components/schemas/AppIcon","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppIcon","description":"Documentation"}},"AppUrl":{"title":"App Url","description":"The URL is the full URL to the app's homepage.","type":"string","format":"uri","minLength":1,"maxLength":1024,"example":"https://www.sugarsense.com","$id":"./components/schemas/AppUrl","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppUrl","description":"Documentation"}},"AppPrivacyNoticeUrl":{"title":"App Privacy Notice URL","description":"The URL is the full URL to the app's privacy notice.","type":["null","string"],"format":"uri","minLength":1,"maxLength":1024,"example":"https://example.com/privacy-notice","$id":"./components/schemas/AppPrivacyNoticeUrl","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppPrivacyNoticeUrl","description":"Documentation"}},"AppSetupUrl":{"title":"App Setup URL","description":"The URL is the full URL to the app's setup page.","type":["null","string"],"format":"uri","minLength":1,"maxLength":1024,"example":"https://example.com/setup","$id":"./components/schemas/AppSetupUrl","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppSetupUrl","description":"Documentation"}},"Country":{"title":"Country","description":"The two-letter (A-2) ISO 3166-1 code for the user's country of residence. Only countries supported by Hedia are allowed.","type":"string","enum":["AT","CL","DE","DK","ES","FR","GB","IE","IT","LU","MT","PL","SE"],"example":"DK","$id":"./components/schemas/Country","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/Country","description":"Documentation"}},"Countries":{"title":"Countries","description":"List of country codes","type":"array","items":{"$ref":"#/components/schemas/Country"},"uniqueItems":true,"$id":"./components/schemas/Countries","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/Countries","description":"Documentation"}},"AppPrivate":{"title":"App Private","description":"The privacy level of the app.","type":"boolean","$id":"./components/schemas/AppPrivate","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppPrivate","description":"Documentation"}},"AppFirstParty":{"title":"App First Party","description":"The firstParty property determines whether or not an app is owned by Hedia.","type":"boolean","$id":"./components/schemas/AppFirstParty","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppFirstParty","description":"Documentation"}},"UserId":{"title":"User ID","description":"The user ID is a unique identifier for a user.","type":"string","format":"uuid","example":"9352258f-0263-47d1-b9c7-16cd93be7501","$id":"./components/schemas/UserId","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UserId","description":"Documentation"}},"OwnerId":{"title":"Owner ID","description":"The owner ID is a unique identifier for an owner (either a user or an app).","type":"string","anyOf":[{"$ref":"#/components/schemas/AppId"},{"$ref":"#/components/schemas/UserId"}],"$id":"./components/schemas/OwnerId","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/OwnerId","description":"Documentation"}},"CreatedAt":{"title":"Created At","type":"string","format":"date-time","$id":"./components/schemas/CreatedAt","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/CreatedAt","description":"Documentation"}},"CreatedBy":{"title":"Created By","type":"string","format":"uuid","$id":"./components/schemas/CreatedBy","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/CreatedBy","description":"Documentation"}},"UpdatedAt":{"title":"Updated At","type":"string","format":"date-time","$id":"./components/schemas/UpdatedAt","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UpdatedAt","description":"Documentation"}},"UpdatedBy":{"title":"Updated By","type":"string","format":"uuid","$id":"./components/schemas/UpdatedBy","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UpdatedBy","description":"Documentation"}},"App":{"title":"App","type":"object","properties":{"id":{"$ref":"#/components/schemas/AppId"},"name":{"$ref":"#/components/schemas/AppName"},"title":{"$ref":"#/components/schemas/AppTitle"},"description":{"$ref":"#/components/schemas/AppDescription"},"icon":{"$ref":"#/components/schemas/AppIcon"},"url":{"$ref":"#/components/schemas/AppUrl"},"privacyNoticeUrl":{"$ref":"#/components/schemas/AppPrivacyNoticeUrl"},"setupUrl":{"$ref":"#/components/schemas/AppSetupUrl"},"categories":{"$ref":"#/components/schemas/AppCategories"},"countries":{"$ref":"#/components/schemas/Countries"},"private":{"$ref":"#/components/schemas/AppPrivate"},"firstParty":{"$ref":"#/components/schemas/AppFirstParty"},"ownerId":{"$ref":"#/components/schemas/OwnerId"},"createdAt":{"$ref":"#/components/schemas/CreatedAt"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"updatedAt":{"$ref":"#/components/schemas/UpdatedAt"},"updatedBy":{"$ref":"#/components/schemas/UpdatedBy"}},"required":["id","name","title","url","categories","countries","private","firstParty","ownerId","createdAt","createdBy"],"additionalProperties":false,"$id":"./components/schemas/App","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/App","description":"Documentation"}},"AppArray":{"title":"App Array","description":"The response is an array of apps that the user may access.","type":"array","items":{"$ref":"#/components/schemas/App"},"$id":"./components/schemas/AppArray","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppArray","description":"Documentation"}},"CreateAppRequestBody":{"title":"Create App Request Body","type":"object","properties":{"name":{"$ref":"#/components/schemas/AppName"},"title":{"$ref":"#/components/schemas/AppTitle"},"description":{"$ref":"#/components/schemas/AppDescription"},"icon":{"$ref":"#/components/schemas/AppIcon"},"url":{"$ref":"#/components/schemas/AppUrl"},"privacyNoticeUrl":{"$ref":"#/components/schemas/AppPrivacyNoticeUrl"},"setupUrl":{"$ref":"#/components/schemas/AppSetupUrl"},"categories":{"$ref":"#/components/schemas/AppCategories"},"countries":{"$ref":"#/components/schemas/Countries"},"private":{"$ref":"#/components/schemas/AppPrivate"},"firstParty":{"$ref":"#/components/schemas/AppFirstParty"}},"required":["name","title","url","categories","countries","private"],"additionalProperties":false,"$id":"./components/schemas/CreateAppRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/CreateAppRequestBody","description":"Documentation"}},"AppIdOrName":{"title":"App ID or Name","description":"The app ID or name is a unique identifier for an app.","type":"string","anyOf":[{"$ref":"#/components/schemas/AppId"},{"$ref":"#/components/schemas/AppName"}],"$id":"./components/schemas/AppIdOrName","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AppIdOrName","description":"Documentation"}},"UpdateAppRequestBody":{"title":"Update App Request Body","type":"object","properties":{"name":{"$ref":"#/components/schemas/AppName"},"title":{"$ref":"#/components/schemas/AppTitle"},"description":{"$ref":"#/components/schemas/AppDescription"},"icon":{"$ref":"#/components/schemas/AppIcon"},"url":{"$ref":"#/components/schemas/AppUrl"},"privacyNoticeUrl":{"$ref":"#/components/schemas/AppPrivacyNoticeUrl"},"setupUrl":{"$ref":"#/components/schemas/AppSetupUrl"},"categories":{"$ref":"#/components/schemas/AppCategories"},"countries":{"$ref":"#/components/schemas/Countries"},"private":{"$ref":"#/components/schemas/AppPrivate"},"firstParty":{"$ref":"#/components/schemas/AppFirstParty"}},"additionalProperties":false,"$id":"./components/schemas/UpdateAppRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UpdateAppRequestBody","description":"Documentation"}},"CollaboratorId":{"title":"Collaborator ID","description":"The collaborator ID is a unique identifier for a collaborator.","type":"string","format":"uuid","example":"9352258f-0263-47d1-b9c7-16cd93be7501","$id":"./components/schemas/CollaboratorId","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/CollaboratorId","description":"Documentation"}},"Collaborator":{"title":"Collaborator","type":"object","properties":{"id":{"$ref":"#/components/schemas/CollaboratorId"},"appId":{"$ref":"#/components/schemas/AppId"},"userId":{"$ref":"#/components/schemas/UserId"},"createdAt":{"$ref":"#/components/schemas/CreatedAt"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"}},"required":["id","appId","userId","createdAt","createdBy"],"additionalProperties":false,"$id":"./components/schemas/Collaborator","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/Collaborator","description":"Documentation"}},"CollaboratorArray":{"title":"Collaborator Array","description":"The response is an array of collaborators who may access the app.","type":"array","items":{"$ref":"#/components/schemas/Collaborator"},"$id":"./components/schemas/CollaboratorArray","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/CollaboratorArray","description":"Documentation"}},"UserEmail":{"title":"User Email","description":"The email is a unique email address to identify and communicate with the user.","type":"string","format":"email","example":"john@doe.com","$id":"./components/schemas/UserEmail","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UserEmail","description":"Documentation"}},"CreateCollaboratorRequestBody":{"title":"Create Collaborator Request Body","type":"object","properties":{"email":{"$ref":"#/components/schemas/UserEmail"}},"required":["email"],"additionalProperties":false,"$id":"./components/schemas/CreateCollaboratorRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/CreateCollaboratorRequestBody","description":"Documentation"}},"InstallationId":{"title":"Installation ID","description":"The installation ID is a unique identifier for an installation.","type":"string","format":"uuid","example":"9352258f-0263-47d1-b9c7-16cd93be7501","$id":"./components/schemas/InstallationId","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/InstallationId","description":"Documentation"}},"InstallationStatus":{"title":"Installation Status","description":"The status of the installation","type":"string","enum":["active","inactive","pending"],"$id":"./components/schemas/InstallationStatus","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/InstallationStatus","description":"Documentation"}},"Installation":{"title":"Installation","type":"object","properties":{"id":{"$ref":"#/components/schemas/InstallationId"},"appId":{"$ref":"#/components/schemas/AppId"},"userId":{"$ref":"#/components/schemas/UserId"},"status":{"$ref":"#/components/schemas/InstallationStatus"},"createdAt":{"$ref":"#/components/schemas/CreatedAt"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"updatedAt":{"$ref":"#/components/schemas/UpdatedAt"},"updatedBy":{"$ref":"#/components/schemas/UpdatedBy"}},"required":["id","appId","userId","status","createdAt","createdBy"],"additionalProperties":false,"$id":"./components/schemas/Installation","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/Installation","description":"Documentation"}},"InstallationArray":{"title":"Installation Array","description":"The response is an array of app installations.","type":"array","items":{"$ref":"#/components/schemas/Installation"},"$id":"./components/schemas/InstallationArray","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/InstallationArray","description":"Documentation"}},"UpdateAppInstallationRequestBody":{"title":"Update App Installation Request Body","type":"object","properties":{"status":{"$ref":"#/components/schemas/InstallationStatus"}},"additionalProperties":false,"$id":"./components/schemas/UpdateAppInstallationRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UpdateAppInstallationRequestBody","description":"Documentation"}},"MetadataBoolean":{"title":"Metadata Boolean","type":"boolean","examples":[true],"$id":"./components/schemas/MetadataBoolean","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/MetadataBoolean","description":"Documentation"}},"MetadataNumber":{"title":"Metadata Number","type":"number","examples":[100],"$id":"./components/schemas/MetadataNumber","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/MetadataNumber","description":"Documentation"}},"MetadataString":{"title":"Metadata String","type":"string","maxLength":2048,"examples":["abc"],"$id":"./components/schemas/MetadataString","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/MetadataString","description":"Documentation"}},"InstallationMetadata":{"title":"Installation Metadata","description":"The metadata for an installation.","type":"object","additionalProperties":{"oneOf":[{"$ref":"#/components/schemas/MetadataBoolean"},{"$ref":"#/components/schemas/MetadataNumber"},{"$ref":"#/components/schemas/MetadataString"}]},"maxProperties":100,"examples":[{"property1":true,"property2":100,"property3":"abc"}],"$id":"./components/schemas/InstallationMetadata","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/InstallationMetadata","description":"Documentation"}},"CacheControl":{"title":"Cache Control","description":"The `Cache-Control` header is used to specify directives to control how, and for how long, the response should be cached.","type":"string","example":"max-age=60, public","$id":"./components/schemas/CacheControl","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/CacheControl","description":"Documentation"}},"KeyId":{"title":"Key ID","description":"The key ID is a unique identifier for a key.","type":"string","format":"uuid","example":"9352258f-0263-47d1-b9c7-16cd93be7501","$id":"./components/schemas/KeyId","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/KeyId","description":"Documentation"}},"JwkEdDSAPublicKey":{"title":"JWK EdDSA Public Key","properties":{"crv":{"type":"string","const":"Ed25519"},"kid":{"type":"string"},"kty":{"type":"string","const":"OKP"},"use":{"type":"string","const":"sig"},"x":{"type":"string"}},"required":["crv","kid","kty","use","x"],"examples":[{"crv":"Ed25519","kid":"7a94a564-da5b-45db-aff1-ba35577a9146","kty":"OKP","use":"sig","x":"q_FL7yb_zZmVpfqDdGZDetKPJ4Gn9OCxOQ6gAeEU9VM"}],"additionalProperties":false,"$id":"./components/schemas/JwkEdDSAPublicKey","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/JwkEdDSAPublicKey","description":"Documentation"}},"JwkRSA256PublicKey":{"title":"JWK RSA256 Public Key","properties":{"alg":{"type":"string","const":"RS256"},"e":{"type":"string"},"kid":{"type":"string"},"kty":{"type":"string","const":"RSA"},"n":{"type":"string"},"use":{"type":"string","const":"sig"}},"required":["alg","e","kid","kty","n","use"],"examples":[{"alg":"RS256","e":"AQAB","kid":"3bb46e70-dfec-40f2-acc9-28a40ac6cf84","kty":"RSA","n":"oosasJsPCTSsk6flc11qAALswL_l3YZA-sxrh-YMr8WPhhYpO9HLb5NtiqbHjR0xTLmaj8sGeaqzqMfCkYaqc--ZLBiBsiiQpGY1ZqKifbkVh9kbj_yz4ljj_barmuc0X-R04cGdMQfSsmVi6bTshJL4o7rVMTSFFuQdBnZW7Tk_zYsk568-jMaPpagKA--Vmspt8Cik4MrhSAEwUvEB3nonSmuQsIevNLEZU52dvXX2_jsJO2j7jwmDA8j84Oc0RkoVqpBFKmh2N4Dq2y98cSiRU3V9vnVlw_m56n92NxaDYzHLRNarkTHbddtwYa7p-NpDsAHhx3EW1-yKPF_4mU9DhsU9kYCCNnY-yAORTFuVtAY-upFyVZaCEoSwz3e1QN30Xia2gB2zYzDzN34xnY6MxwAS9B2y2q5-i8H4FayCOesGPqJj_8VgI4Zif-URKiO6dwYkBqLlNxkp_kX60RcOlCIONwFOBXfYy1ValARGwGNI5v3YJvX-SFIIqqDEeDz2pKOTYamQiCihhhHhQ6xFm4qaigy2G3TIr47zJJ_dTaPw1MUe6kg6HHEDem7FXA_-WGT8RgAxe6GTxGgxxsx1vN3qds-MB_KTG-q-LmhxWyESwP8AJD24w1H2gPjtH7zxrbaBH1qd3bl5V918Sygj_QeTPCJXYQ4nfHo4Yck","use":"sig"}],"additionalProperties":false,"$id":"./components/schemas/JwkRSA256PublicKey","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/JwkRSA256PublicKey","description":"Documentation"}},"Jwk":{"title":"JWK","type":"object","oneOf":[{"$ref":"#/components/schemas/JwkEdDSAPublicKey"},{"$ref":"#/components/schemas/JwkRSA256PublicKey"}],"$id":"./components/schemas/Jwk","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/Jwk","description":"Documentation"}},"KeyTitle":{"title":"Key Title","description":"The title of the key, used to identify and describe the purpose of the key.","type":"string","minLength":1,"maxLength":255,"example":"Production Key","$id":"./components/schemas/KeyTitle","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/KeyTitle","description":"Documentation"}},"Key":{"title":"Key","type":"object","properties":{"id":{"$ref":"#/components/schemas/KeyId"},"publicKey":{"$ref":"#/components/schemas/Jwk"},"title":{"$ref":"#/components/schemas/KeyTitle"},"createdAt":{"$ref":"#/components/schemas/CreatedAt"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"ownerId":{"$ref":"#/components/schemas/OwnerId"}},"required":["id","publicKey","createdAt","createdBy","ownerId"],"additionalProperties":false,"$id":"./components/schemas/Key","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/Key","description":"Documentation"}},"KeyArray":{"title":"Key Array","description":"The response is an array of keys.","type":"array","items":{"$ref":"#/components/schemas/Key"},"$id":"./components/schemas/KeyArray","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/KeyArray","description":"Documentation"}},"JwkArray":{"title":"JWK Array","type":"array","items":{"$ref":"#/components/schemas/Jwk"},"$id":"./components/schemas/JwkArray","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/JwkArray","description":"Documentation"}},"JwkSet":{"title":"JWK Set","type":"object","properties":{"keys":{"$ref":"#/components/schemas/JwkArray"}},"required":["keys"],"additionalProperties":false,"$id":"./components/schemas/JwkSet","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/JwkSet","description":"Documentation"}},"CreateKeyRequestBody":{"title":"Create Key Request Body","type":"object","properties":{"publicKey":{"$ref":"#/components/schemas/Jwk"},"title":{"$ref":"#/components/schemas/KeyTitle"}},"required":["publicKey","title"],"additionalProperties":false,"$id":"./components/schemas/CreateKeyRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/CreateKeyRequestBody","description":"Documentation"}},"LinkCallbackUrl":{"title":"Link Callback URL","description":"The callback URL is the redirect url that will be passed to the app.","type":"string","format":"uri","example":"https://example.com/callback","$id":"./components/schemas/LinkCallbackUrl","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/LinkCallbackUrl","description":"Documentation"}},"CreateAppLinkRequestBody":{"title":"Create App Link Request Body","type":"object","properties":{"callbackUrl":{"$ref":"#/components/schemas/LinkCallbackUrl"}},"required":["callbackUrl"],"additionalProperties":false,"$id":"./components/schemas/CreateAppLinkRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/CreateAppLinkRequestBody","description":"Documentation"}},"LinkId":{"title":"Link ID","description":"The link ID is a unique identifier for a link.","type":"string","format":"uuid","example":"9352258f-0263-47d1-b9c7-16cd93be7501","$id":"./components/schemas/LinkId","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/LinkId","description":"Documentation"}},"ExpiresAt":{"title":"Expires At","description":"The expiresAt timestamp is the time when the entity is no longer valid.","type":"string","format":"date-time","example":"2023-07-18T13:47:55.713Z","$id":"./components/schemas/ExpiresAt","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/ExpiresAt","description":"Documentation"}},"LinkUrl":{"title":"Link URL","description":"The URL is one-time link that will attach a session and redirect to an app.","type":"string","format":"uri","example":"https://id.hedia.dev/links/9352258f-0263-47d1-b9c7-16cd93be7501","$id":"./components/schemas/LinkUrl","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/LinkUrl","description":"Documentation"}},"Link":{"title":"Link","type":"object","properties":{"id":{"$ref":"#/components/schemas/LinkId"},"expiresAt":{"$ref":"#/components/schemas/ExpiresAt"},"url":{"$ref":"#/components/schemas/LinkUrl"}},"required":["id","expiresAt","url"],"additionalProperties":false,"$id":"./components/schemas/Link","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/Link","description":"Documentation"}},"LinkVerifierId":{"title":"Link Verifier ID","description":"The link verifier ID is a unique identifier for a link verifier.","type":"string","format":"uuid","example":"1c17b340-2b4b-4d88-8a38-5712d9f2feb8","$id":"./components/schemas/LinkVerifierId","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/LinkVerifierId","description":"Documentation"}},"OwnerIdArray":{"title":"Owner ID Array","description":"The property is an array of owner IDs.","type":"array","items":{"$ref":"#/components/schemas/OwnerId"},"$id":"./components/schemas/OwnerIdArray","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/OwnerIdArray","description":"Documentation"}},"PermissionScope":{"title":"Permission Scope","description":"The scope property grant access to a specific set of data.","type":"string","enum":["name","emails","phones","country","language","biologicalSex","bloodGlucose","bloodGlucoseTarget","bloodType","bolusCalculation","carbohydrates","carbohydratesRecommendation","dateOfBirth","diabetesType","insulinDelivery","insulinOnBoard","insulinRecommendation","insulinReduction","insulinSensitivity","insulinToCarbohydratesRatio","interstitialGlucose","licenses"],"$id":"./components/schemas/PermissionScope","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionScope","description":"Documentation"}},"PermissionScopeArray":{"title":"Permission Scope Array","description":"A list of permission scopes.","type":"array","items":{"$ref":"#/components/schemas/PermissionScope"},"uniqueItems":true,"$id":"./components/schemas/PermissionScopeArray","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionScopeArray","description":"Documentation"}},"AuthorizeRequestBody":{"title":"Authorize Request Body","type":"object","properties":{"sourceId":{"$ref":"#/components/schemas/OwnerId"},"targetIds":{"$ref":"#/components/schemas/OwnerIdArray"},"read":{"$ref":"#/components/schemas/PermissionScopeArray"},"write":{"$ref":"#/components/schemas/PermissionScopeArray"}},"required":["sourceId","targetIds","read","write"],"additionalProperties":false,"$id":"./components/schemas/AuthorizeRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AuthorizeRequestBody","description":"Documentation"}},"PermissionApproved":{"title":"Permission Approved","description":"The approved property determines whether a permission has been granted or not.","type":"boolean","$id":"./components/schemas/PermissionApproved","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionApproved","description":"Documentation"}},"Authorization":{"title":"Authorization","type":"object","properties":{"authorized":{"$ref":"#/components/schemas/PermissionApproved"}},"required":["authorized"],"additionalProperties":false,"$id":"./components/schemas/Authorization","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/Authorization","description":"Documentation"}},"LinkGoToUrl":{"title":"Link Go To Url","description":"Link to go to URL","type":"string","format":"uri-template","enum":["/account","/apps?categories=cgm","/apps?categories=forecasting","/callback"],"default":"/account","$id":"./components/schemas/LinkGoToUrl","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/LinkGoToUrl","description":"Documentation"}},"CreateLinkRequestBody":{"title":"Create Link Request Body","type":"object","properties":{"goToUrl":{"$ref":"#/components/schemas/LinkGoToUrl"},"callbackUrl":{"$ref":"#/components/schemas/LinkCallbackUrl"}},"required":["callbackUrl"],"additionalProperties":false,"$id":"./components/schemas/CreateLinkRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/CreateLinkRequestBody","description":"Documentation"}},"PermissionAction":{"title":"Permission Action","description":"The action property grant access to different endpoints.","type":"string","enum":["read","write"],"$id":"./components/schemas/PermissionAction","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionAction","description":"Documentation"}},"PermissionSourceType":{"title":"Permission Source Type","description":"The source type property provides additional context to the source ID.","type":"string","enum":["app","user"],"$id":"./components/schemas/PermissionSourceType","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionSourceType","description":"Documentation"}},"PermissionTargetType":{"title":"Permission Target Type","description":"The target type property provides additional context to the target ID.","type":"string","enum":["app","system","user"],"$id":"./components/schemas/PermissionTargetType","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionTargetType","description":"Documentation"}},"PermissionId":{"title":"Permission ID","description":"The permission ID is a unique identifier for a permission.","type":"string","format":"uuid","example":"9352258f-0263-47d1-b9c7-16cd93be7501","$id":"./components/schemas/PermissionId","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionId","description":"Documentation"}},"UserName":{"title":"User Name","description":"The name is the user's name, and how they will be addressed in the app.","type":"string","pattern":".*\\S.*","minLength":1,"maxLength":255,"example":"John Doe","$id":"./components/schemas/UserName","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UserName","description":"Documentation"}},"PermissionSourceName":{"title":"Permission Source Name","anyOf":[{"$ref":"#/components/schemas/AppName"},{"$ref":"#/components/schemas/UserName"}],"$id":"./components/schemas/PermissionSourceName","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionSourceName","description":"Documentation"}},"PermissionTargetSystem":{"title":"Permission Target System","description":"The system target refers to a permission that requires approval from an admin","type":"string","const":"Hedia Infrastructure Platform","$id":"./components/schemas/PermissionTargetSystem","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionTargetSystem","description":"Documentation"}},"PermissionTargetName":{"title":"Permission Target Name","anyOf":[{"$ref":"#/components/schemas/AppName"},{"$ref":"#/components/schemas/UserName"},{"$ref":"#/components/schemas/PermissionTargetSystem"}],"$id":"./components/schemas/PermissionTargetName","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionTargetName","description":"Documentation"}},"PermissionExtended":{"title":"Permission Extended","description":"Extend the Permission object with sourceName and targetName","type":"object","properties":{"id":{"$ref":"#/components/schemas/PermissionId"},"action":{"$ref":"#/components/schemas/PermissionAction"},"scope":{"$ref":"#/components/schemas/PermissionScope"},"sourceId":{"$ref":"#/components/schemas/OwnerId"},"sourceName":{"$ref":"#/components/schemas/PermissionSourceName"},"sourceType":{"$ref":"#/components/schemas/PermissionSourceType"},"targetId":{"$ref":"#/components/schemas/OwnerId"},"targetName":{"$ref":"#/components/schemas/PermissionTargetName"},"targetType":{"$ref":"#/components/schemas/PermissionTargetType"},"approved":{"$ref":"#/components/schemas/PermissionApproved"},"createdAt":{"$ref":"#/components/schemas/CreatedAt"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"updatedAt":{"$ref":"#/components/schemas/UpdatedAt"},"updatedBy":{"$ref":"#/components/schemas/UpdatedBy"}},"required":["id","action","scope","sourceId","sourceName","sourceType","targetName","targetType","createdAt","createdBy"],"additionalProperties":false,"$id":"./components/schemas/PermissionExtended","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionExtended","description":"Documentation"}},"PermissionExtendedArray":{"title":"Permission Extended Array","description":"The response is an array of extended permissions.","type":"array","items":{"$ref":"#/components/schemas/PermissionExtended"},"$id":"./components/schemas/PermissionExtendedArray","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/PermissionExtendedArray","description":"Documentation"}},"CreatePermissionRequestBody":{"title":"Create Permission Request Body","type":"object","properties":{"action":{"$ref":"#/components/schemas/PermissionAction"},"scope":{"$ref":"#/components/schemas/PermissionScope"},"sourceId":{"$ref":"#/components/schemas/OwnerId"},"targetId":{"$ref":"#/components/schemas/OwnerId"},"approved":{"$ref":"#/components/schemas/PermissionApproved"}},"required":["action","scope","sourceId"],"additionalProperties":false,"$id":"./components/schemas/CreatePermissionRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/CreatePermissionRequestBody","description":"Documentation"}},"Permission":{"title":"Permission","type":"object","properties":{"id":{"$ref":"#/components/schemas/PermissionId"},"action":{"$ref":"#/components/schemas/PermissionAction"},"scope":{"$ref":"#/components/schemas/PermissionScope"},"sourceId":{"$ref":"#/components/schemas/OwnerId"},"sourceType":{"$ref":"#/components/schemas/PermissionSourceType"},"targetId":{"$ref":"#/components/schemas/OwnerId"},"targetType":{"$ref":"#/components/schemas/PermissionTargetType"},"approved":{"$ref":"#/components/schemas/PermissionApproved"},"createdAt":{"$ref":"#/components/schemas/CreatedAt"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"updatedAt":{"$ref":"#/components/schemas/UpdatedAt"},"updatedBy":{"$ref":"#/components/schemas/UpdatedBy"}},"required":["id","action","scope","sourceId","sourceType","targetType","createdAt","createdBy"],"additionalProperties":false,"$id":"./components/schemas/Permission","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/Permission","description":"Documentation"}},"UpdatePermissionRequestBody":{"title":"Update Permission Request Body","type":"object","properties":{"approved":{"$ref":"#/components/schemas/PermissionApproved"}},"required":["approved"],"additionalProperties":false,"$id":"./components/schemas/UpdatePermissionRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UpdatePermissionRequestBody","description":"Documentation"}},"SessionId":{"title":"Session ID","description":"The session ID is a unique identifier for a session.","type":"string","format":"uuid","example":"9352258f-0263-47d1-b9c7-16cd93be7501","$id":"./components/schemas/SessionId","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/SessionId","description":"Documentation"}},"UserAgent":{"title":"User Agent","description":"The User-Agent request header is a characteristic string that lets servers and network peers identify the application, operating system, vendor, and/or version of the requesting user agent.","type":"string","minLength":1,"maxLength":2048,"example":"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.103 Safari/537.36","$id":"./components/schemas/UserAgent","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UserAgent","description":"Documentation"}},"AuthenticationTime":{"title":"Authentication Time","description":"The timestamp when the user that the session belongs to last authenticated using some form of credentials.","type":"string","format":"date-time","example":"2023-07-18T13:47:55.713Z","$id":"./components/schemas/AuthenticationTime","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AuthenticationTime","description":"Documentation"}},"AuthenticationMethod":{"title":"Authentication Method","description":"Type of credential that users can use to authenticate.","type":"string","enum":["Password","MagicLink"],"$id":"./components/schemas/AuthenticationMethod","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AuthenticationMethod","description":"Documentation"}},"AuthenticationMethods":{"title":"Authentication Methods","description":"An array with the types of credentials that the user has used to authenticate since the session was created. The array is ordered by the time each type of credential was last used, latest method last. Each authentication method will only appear once in the array, representing the last time it was used.","type":"array","items":{"$ref":"#/components/schemas/AuthenticationMethod"},"uniqueItems":true,"$id":"./components/schemas/AuthenticationMethods","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/AuthenticationMethods","description":"Documentation"}},"SessionEnvironment":{"title":"Session Environment","description":"Where the session lives. `native` when it was created through a native app's one-time link, inside the app's in-app browser; `web` otherwise.","type":"string","enum":["web","native"],"example":"web","$id":"./components/schemas/SessionEnvironment","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/SessionEnvironment","description":"Documentation"}},"Session":{"title":"Session","type":"object","properties":{"id":{"$ref":"#/components/schemas/SessionId"},"userId":{"$ref":"#/components/schemas/UserId"},"userAgent":{"$ref":"#/components/schemas/UserAgent"},"authenticationTime":{"$ref":"#/components/schemas/AuthenticationTime"},"authenticationMethods":{"$ref":"#/components/schemas/AuthenticationMethods"},"expiresAt":{"$ref":"#/components/schemas/ExpiresAt"},"sessionEnvironment":{"$ref":"#/components/schemas/SessionEnvironment"},"createdAt":{"$ref":"#/components/schemas/CreatedAt"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"}},"required":["id","userId","authenticationTime","authenticationMethods","expiresAt","sessionEnvironment","createdAt","createdBy"],"additionalProperties":false,"$id":"./components/schemas/Session","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/Session","description":"Documentation"}},"UserBlocked":{"title":"User Blocked","description":"The blocked property determines whether or not a user can use their account.","type":"boolean","$id":"./components/schemas/UserBlocked","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UserBlocked","description":"Documentation"}},"UserEmailArray":{"title":"User Email Array","description":"The emails property is a list of verified email addresses that belong to a user.","type":"array","items":{"$ref":"#/components/schemas/UserEmail"},"$id":"./components/schemas/UserEmailArray","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UserEmailArray","description":"Documentation"}},"UserInitials":{"title":"User Initials","description":"The user's initials, how they will be addressed in the app.","type":"string","minLength":1,"maxLength":2,"example":"JD","$id":"./components/schemas/UserInitials","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UserInitials","description":"Documentation"}},"Language":{"title":"Language","description":"Two-letter language code (ISO 639-1).","type":"string","enum":["da","de","en","es","fr","it","pl","sv"],"example":"da","$id":"./components/schemas/Language","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/Language","description":"Documentation"}},"UserPhone":{"title":"User Phone","description":"The phone is a unique phone number to identify and communicate with the user.","type":"string","minLength":1,"maxLength":15,"example":"+33689965433","$id":"./components/schemas/UserPhone","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UserPhone","description":"Documentation"}},"UserPhoneArray":{"title":"User Phone Array","description":"The phones property is a list of verified phone numbers that belong to a user.","type":"array","items":{"$ref":"#/components/schemas/UserPhone"},"$id":"./components/schemas/UserPhoneArray","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UserPhoneArray","description":"Documentation"}},"UserRole":{"title":"User Role","description":"The role property grants a specific set of permissions to the user.","type":"string","enum":["user","developer","support","admin"],"$id":"./components/schemas/UserRole","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/UserRole","description":"Documentation"}},"User":{"title":"User","type":"object","properties":{"id":{"$ref":"#/components/schemas/UserId"},"blocked":{"$ref":"#/components/schemas/UserBlocked"},"emails":{"$ref":"#/components/schemas/UserEmailArray"},"name":{"$ref":"#/components/schemas/UserName"},"initials":{"$ref":"#/components/schemas/UserInitials"},"country":{"$ref":"#/components/schemas/Country"},"language":{"$ref":"#/components/schemas/Language"},"phones":{"$ref":"#/components/schemas/UserPhoneArray"},"role":{"$ref":"#/components/schemas/UserRole"},"createdAt":{"$ref":"#/components/schemas/CreatedAt"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"updatedAt":{"$ref":"#/components/schemas/UpdatedAt"},"updatedBy":{"$ref":"#/components/schemas/UpdatedBy"}},"required":["id","blocked","emails","country","language","phones","role","createdAt","createdBy"],"additionalProperties":false,"$id":"./components/schemas/User","externalDocs":{"url":"https://developer.hedia.com/services/id/api/v1/components/schemas/User","description":"Documentation"}}},"responses":{"InternalServerError":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"BadRequest":{"description":"Bad Request","content":{"application/json":{},"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"Unauthorized":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"Forbidden":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"NotFound":{"description":"Not Found","content":{"application/json":{},"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"NoContent":{"description":"No Content"}},"parameters":{"AppPublicListQueryParameter":{"name":"publicList","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AppPublicList"}},"AppCategoriesQueryParameter":{"name":"categories","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AppCategories"}},"AppIdOrNamePathParameter":{"name":"appIdOrName","in":"path","required":true,"schema":{"$ref":"#/components/schemas/AppIdOrName"}},"AppIdPathParameter":{"name":"appId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/AppId"}},"CollaboratorIdPathParameter":{"name":"collaboratorId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/CollaboratorId"}},"InstallationIdPathParameter":{"name":"installationId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/InstallationId"}},"KeyIdPathParameter":{"name":"keyId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/KeyId"}},"LinkVerifierIdPathParameter":{"name":"linkVerifierId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/LinkVerifierId"}},"UserIdPathParameter":{"name":"userId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/UserId"}},"PermissionActionQueryParameter":{"name":"action","in":"query","required":false,"schema":{"$ref":"#/components/schemas/PermissionAction"}},"PermissionApprovedQueryParameter":{"name":"approved","in":"query","required":false,"schema":{"$ref":"#/components/schemas/PermissionApproved"}},"PermissionScopeQueryParameter":{"name":"scope","in":"query","required":false,"schema":{"$ref":"#/components/schemas/PermissionScope"}},"PermissionSourceIdQueryParameter":{"name":"sourceId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/OwnerId"}},"PermissionSourceTypeQueryParameter":{"name":"sourceType","in":"query","required":false,"schema":{"$ref":"#/components/schemas/PermissionSourceType"}},"PermissionTargetIdQueryParameter":{"name":"targetId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/OwnerId"}},"PermissionTargetTypeQueryParameter":{"name":"targetType","in":"query","required":false,"schema":{"$ref":"#/components/schemas/PermissionTargetType"}},"PermissionIdPathParameter":{"name":"permissionId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/PermissionId"}},"SessionIdPathParameter":{"name":"sessionId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/SessionId"}}}},"externalDocs":{"url":"https://developer.hedia.com/","description":"Documentation"}}